%global githash b46a6e39d2348eb73f01b42f43a5a0cc869d89df
Name:          tempus-fugit
# This pre release offers JDK8 support
Version:       1.2
Release:       0.3.SNAPSHOT%{?dist}
Summary:       Java classes for temporal testing and concurrency
License:       ASL 2.0
URL:           http://tempusfugitlibrary.org/
Source0:       https://github.com/tobyweston/tempus-fugit/archive/%{githash}/%{name}-%{githash}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.jmock:jmock-junit4)
BuildRequires: mvn(org.jmock:jmock-legacy)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Java micro-library for time sensitive testing and concurrency.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# Unwanted
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-idea-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# java.util.concurrent.TimeoutException: null
rm -r src/test/java/com/google/code/tempusfugit/concurrency/DeadlockDetectorTest.java \
  src/test/java/com/google/code/tempusfugit/concurrency/DefaultTimeoutableCompletionServiceTest.java
# java.lang.AssertionError
rm -r src/test/java/com/google/code/tempusfugit/concurrency/ConcurrentTestRunnerTest.java \
 src/test/java/com/google/code/tempusfugit/concurrency/OverrideConcurrentTestRunnerTest.java \
 src/test/java/com/google/code/tempusfugit/concurrency/InterrupterTest.java \
 src/test/java/com/google/code/tempusfugit/concurrency/RunConcurrentlyTest.java \
 src/test/java/com/google/code/tempusfugit/concurrency/ThreadUtilsTest.java \
 src/test/java/com/google/code/tempusfugit/temporal/TimerTest.java \
 src/test/java/com/google/code/tempusfugit/temporal/WaitForTest.java
# java.lang.InterruptedException: sleep interrupted
rm -r src/test/java/com/google/code/tempusfugit/concurrency/InterruptCapturingThreadTest.java

sed -i 's/\r//' LICENCE.md README.md

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENCE.md

%files javadoc -f .mfiles-javadoc
%license LICENCE.md

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.3.SNAPSHOT
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.2.SNAPSHOT
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Nov 07 2015 gil cattaneo <puntogil@libero.it> 1.2-0.1.SNAPSHOT
- update to 1.2-SNAPSHOT

* Sat Jun 01 2013 gil cattaneo <puntogil@libero.it> 1.1-1
- initial rpm
